PRO SRF_PLOT, FILE

openr, lun, file, /get_lun
header = ' '
readf, lun, header, format='(a)'
print, header

while (eof(lun) eq 0) do begin
  readf, lun, band, npts, wvn_min, wvn_max, format='(i3, i5, 2f8.2)'
  print, band, npts, wvn_min, wvn_max, format='(i3, i5, 2f8.2)'
  wvn = dindgen(npts) * 0.1 + wvn_min
  srf = dblarr(npts)
  readf, lun, srf, format='(8f9.6)'
  plot, wvn, srf, title=string(band, format='("BAND", 1x, i2.2)'), $
    xtitle='WAVENUMBER (CM-1)', ytitle='RESPONSE'
  null = ''
  read, null, format='(a)', prompt='Hit Enter'
  
endwhile

free_lun, lun

END

